%global mod_name akismet

Name:           python-akismet
Version:        0.2.0
Release:        1%{?dist}
Summary:        Python interface to the Akismet anti comment-spam API

Group:          Development/Libraries
License:        BSD
URL:            http://pypi.python.org/pypi/%{mod_name}
Source0:        http://pypi.python.org/packages/source/a/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
Akismet is a web service for recognizing spam comments. It promises to be
almost 100% effective at catching comment spam. They say that currently 81%
of all comments submitted to them are spam.It's designed to work with the 
Wordpress Blog Tool, but it's not restricted to that so this is a Python 
interface to the Akismet API.

%prep
%setup -q -n %{mod_name}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc README.txt PKG-INFO
%{python_sitelib}/*.egg-info
%{python_sitelib}/*.py*

%changelog
* Mon Sep 19 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.0-1
- Initial RPM build
